on startMovie
  global WHICHSNEAK, P1SETUP, P2SETUP, P3SETUP, P4SETUP, M1SETUP, M2SETUP, M3SETUP, M4SETUP, mFINGER, mFINGERMASK
  set STARTM to new(xtra("fileio"))
  createFile(STARTM, "c:\STARTM.SMC")
  set the exitLock to 1
  set WHICHSNEAK to "GAME"
  set P1SETUP to "@\ibmins\launcher.exe"
  set P2SETUP to "@\setupQ.exe"
  set P3SETUP to "@\dmnsion\setup.exe"
  set P4SETUP to EMPTY
  set M1SETUP to "help text"
  set M2SETUP to "help text"
  set M3SETUP to EMPTY
  set M4SETUP to "help text"
  set mFINGER to the number of member "Finger1"
  set mFINGERMASK to the number of member "Finger2"
  glowClear()
end

on glow WHICHSPRITE, TRUEORFALSE
  set the visible of sprite WHICHSPRITE to TRUEORFALSE
end

on glowClear
  repeat with i = 20 to 39
    glow(i)
  end repeat
end

on textglow WHICHMEMBER, COLORNUMBER
  set the foreColor of member WHICHMEMBER to COLORNUMBER
end

on openMIAW MYWINDOW
  set myRect to the rect of window MYWINDOW
  set myStage to the rect of the stage
  set myWidth to getAt(myRect, 3) - getAt(myRect, 1)
  set myHeight to getAt(myRect, 4) - getAt(myRect, 2)
  set myLocH to ((getAt(myStage, 3) + getAt(myStage, 1)) / 2) - (myWidth / 2)
  set myLocV to ((getAt(myStage, 2) + getAt(myStage, 4)) / 2) - (myHeight / 2)
  set myNewRect to rect(myLocH, myLocV, myLocH + myWidth, myLocV + myHeight)
  set the rect of window MYWINDOW to myNewRect
  set the windowType of window MYWINDOW to 2
  open(window MYWINDOW)
end

on doRollout numsprite
  glow(numsprite, 0)
  cursor(0)
end

on doClick
  puppetSound(1, "clicksound")
  updateStage()
end

on checkAnswer
  global correct, ncount, ANSWER, TRIES, right
  put line ncount of the text of member "ww3" into field "definition"
  set the textSize of member "definition" to 18
  set the textStyle of member "definition" to "bold"
  glow(20, 1)
  set TRIES to TRIES + 1
  if ANSWER = correct then
    glow(52, 1)
    puppetSound(1, "Woww1")
    updateStage()
    set right to right + 1
  else
    glow(53, 1)
    puppetSound(1, "Buzzer2")
    updateStage()
  end if
end

on finish
  global TRIES, right, scoreSTR
  go("FIN")
  if TRIES then
    if (float(right) / float(TRIES)) > 0.49000000000000005 then
      puppetSound(1, "Glfclap1")
      updateStage()
    end if
  end if
  set scoreSTR2 to "YOU GOT" && string(right) && "OUT OF" && string(TRIES) && "RIGHT"
  set the text of member "scoreSTR" to scoreSTR2
  updateStage()
end

on timedelay SECONDS
  startTimer()
  repeat while the timer < (SECONDS * 60)
    nothing()
  end repeat
end

on doRollover numsprite, SOUNDNUM
  global mFINGER, mFINGERMASK
  cursor([mFINGER, mFINGERMASK])
  glow(numsprite, 1)
  updateStage()
  case SOUNDNUM of
    1:
      puppetSound(1, "rollsound")
    2:
      puppetSound(1, "rollsound2")
  end case
end
